Skip to content

Approve a transaction

Request

Security
oauth2ClientCredentials(Required scopes: transactions:write)
Path
idstringrequired
Headers
org_wallet_refstring

Organization wallet reference, defaults to "1" if not provided

business_idstringrequired

Business identifier for the request

curl -i -X PUT \
  'https://developer.boyahq.com/_mock/v2/openapi/transactions/{id}/approve' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'business_id: string' \
  -H 'org_wallet_ref: string'

Responses

Transaction approved

Bodyapplication/json
idnumber

Local ID

remoteIdnumber

Remote ID

sourcestring

Transaction source

paymentTypestring

Payment type

groupstring

Group

amountnumber

Transaction amount

feenumber

Transaction fee

feesnumber

Transaction fees

currencystring

Currency code

accountNumberstring

Account number

notestring

Notes

tagstring

Tag

tagIdstring

Tag ID

categorystring

Category

categoryIdstring

Category ID

beneficiarystring

Beneficiary

teamstring

Team

emailstring

Email

phonestring

Phone

uidstring

UID

customerIdstring

Customer ID

stripeCustomerIdstring

Stripe customer ID

ticketstring

Ticket

descriptionstring

Description

receiverNamestring

Receiver name

receiverstring

Receiver

refstring

Reference

referencestring

Reference

txRefstring

Transaction reference

bankCodestring

Bank code

smsstring

SMS

providerRefstring

Provider reference

receiptstring

Physical receipt URL

otherReceiptsstring

Other receipts URLs

isPaymentRequestboolean

Is payment request

isInitialboolean

Is initial transaction

timestampstring

Timestamp

createdAtstring

Created timestamp

statusnumber

Status (0=pending, 1=success, 2=failed, 3=cancelled)

reviewStatusstring

Review status

reviewLevelnumber

Review level

expenseTagsArray of objects(ExpenseTagDto)

Expense tags

expenseIdstring

Expense ID

clientstring

Client

clientIdstring

Client ID

vendorstring

Vendor

vendorIdstring

Vendor ID

requisitionReferencestring

Requisition reference

expiryDatestring

Expiry date

walletIdstring

Wallet ID

budgetIdstring

Budget ID

budgetNamestring

Budget name

budgetLineItemsArray of strings

Budget line items

budgetCategoryIdsArray of strings

Budget category IDs

Response
{ "id": 0, "remoteId": 0, "source": "string", "paymentType": "string", "group": "string", "amount": 0, "fee": 0, "fees": 0, "currency": "string", "accountNumber": "string", "note": "string", "tag": "string", "tagId": "string", "category": "string", "categoryId": "string", "beneficiary": "string", "team": "string", "email": "string", "phone": "string", "uid": "string", "customerId": "string", "stripeCustomerId": "string", "ticket": "string", "description": "string", "receiverName": "string", "receiver": "string", "ref": "string", "reference": "string", "txRef": "string", "bankCode": "string", "sms": "string", "providerRef": "string", "receipt": "string", "otherReceipts": "string", "isPaymentRequest": true, "isInitial": true, "timestamp": "string", "createdAt": "string", "status": 0, "reviewStatus": "string", "reviewLevel": 0, "expenseTags": [ {} ], "expenseId": "string", "client": "string", "clientId": "string", "vendor": "string", "vendorId": "string", "requisitionReference": "string", "expiryDate": "string", "walletId": "string", "budgetId": "string", "budgetName": "string", "budgetLineItems": [ "string" ], "budgetCategoryIds": [ "string" ] }